Create session server
curl --request POST \
--url https://api.lumonol.co.uk/ankra/create-session-server \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"label": "Auto Server",
"server_code": "<string>",
"created_by_roblox_id": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schedule_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
date: '2023-12-25',
label: 'Auto Server',
server_code: '<string>',
created_by_roblox_id: 123
})
};
fetch('https://api.lumonol.co.uk/ankra/create-session-server', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/create-session-server"
payload = {
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"label": "Auto Server",
"server_code": "<string>",
"created_by_roblox_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Sessions
Create session server
Add a server to a session (event_id, or schedule_id and date).
POST
/
create-session-server
Create session server
curl --request POST \
--url https://api.lumonol.co.uk/ankra/create-session-server \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"label": "Auto Server",
"server_code": "<string>",
"created_by_roblox_id": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schedule_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
date: '2023-12-25',
label: 'Auto Server',
server_code: '<string>',
created_by_roblox_id: 123
})
};
fetch('https://api.lumonol.co.uk/ankra/create-session-server', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/create-session-server"
payload = {
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"label": "Auto Server",
"server_code": "<string>",
"created_by_roblox_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
Body
application/json
The session's ID. Or send schedule_id and date instead.
With date: the session type, for a session that has no event_id yet.
With schedule_id: the day of the session, YYYY-MM-DD.
The server's name.
The private server code.
Roblox user ID of whoever made it.
Response
Created.

